<?php
/**
 * @package Sj Article Slider
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;
?>
<?php if(!empty($list)){
	@ob_start();
 	include JModuleHelper::getLayoutPath($module->module, 'styles');
	$stylesheet = @ob_get_contents();
	@ob_end_clean();
	$docs = JFactory::getDocument();
	$docs->addStyleDeclaration($stylesheet );
?>

<script type="text/javascript">
//<![CDATA[
      var arritemId_<?php echo $module->id?> = [];
$jsmart(document).ready(function($){
	    $("#sj_so_artilce_slider_<?php echo $module->id?><?php echo $uniqued;?>").Sj_So_Article_Slider({
			auto		: 	<?php echo $options->play?>,
            type		:   '<?php echo $options->theme?>',
            speed		: 	<?php echo $options->speed?>,
            visible		: 	<?php echo $options->num_element;?>,
            start		:	<?php echo $options->start?>,
			scroll		:   <?php echo $options->scroll?>,
            pause       :   1,
            <?php if($options->play ==0):?>
            circular    :   false,
            <?php endif;?>
			btnPrev		: 	'#<?php echo $uniqued.'_pre_' ?><?php echo $module->id?>',
			btnNext		: 	'#<?php echo $uniqued.'_next_'?><?php echo $module->id?>',
			btnPause	: 	'#<?php echo $uniqued.'_pause_'?><?php echo $module->id?>',
			navigation	:   '#<?php echo $uniqued.'_navigation_'?><?php echo $module->id?>'
		});	
        <?php if($options->play!= 0):?>
        var keyId = 0;
        $.each(arritemId_<?php echo $module->id?>, function(key,val){
            keyId = 0;
            $.each($('.'+val), function(key, val){
                if(keyId==0)
                {
                    $(val).attr('id',val.id+'_00')
                }
                keyId = 1;
            })
        });
        <?php endif;?>
	  });	
//]]>
</script>

<?php $width_module_article =($options->item_image_width + 24) * $options->num_element;?>
<!--Intro Text-->
<?php if(!empty($options->pretext)): ?>
<div style="text-align:left; width:<?php echo $width_module_article + 50; ?>px">
	<?php  echo $options->pretext;?>
</div>
<br/>
<?php endif;?>
<!--End Intro Text-->
<!--Start Module-->
<div class="yt_article_slider yt_so_article_<?php echo $options->theme?>" style="width:<?php echo $width_module_article + 50;?>px;background:red;">
	<div class="title_slider_theme" style="padding:8px 0px 0px 10px;display:<?php echo ($options->slider_title_display)?"block":"none";?>;"><?php echo $options->slider_title_text?></div>
    <div class="so_navigation_hor" id="<?php echo $uniqued.'_navigation_'?><?php echo $module->id?>" style="display:<?php echo ($options->button_display)?"block":"none";?>;">
        <div style="top:<?php echo ($options->item_image_height)/2?>px;right:8px ;" class="so_next_hor_theme5" id="<?php echo $uniqued.'_next_'?><?php echo $module->id?>"><a href="javascript:void(0)"><span><!--<?php echo JText::_("NEXT")?>--></span></a></div>
        <div style="top:<?php echo ($options->item_image_height)/2?>px;left:8px ;" class="so_pre_hor_theme5" id="<?php echo $uniqued.'_pre_' ?><?php echo $module->id?>"><a href="javascript:void(0)"><span><!--<?php echo JText::_("PRE")?>--></span></a></div>
    </div>
	 <div class="so_slider_content" id="sj_so_artilce_slider_<?php echo $module->id?><?php echo $uniqued;?>" style="top:8px;margin:0 auto;width:<?php echo $width_module_article - 3;?>px;">
	     <ul>
	     	<?php 
            foreach ($list as $key => $item):   ?>
	       <li style="width: <?php echo ($options->item_image_width + 18);?>px;padding:0px 3px;">
	       		<div id="tooltip<?php echo $module->id;?><?php echo $item['id'];?>"   class="so_item_theme_ tooltip<?php echo $module->id;?><?php echo $item['id'];?>">
					<div class="so_item_theme3 so_item_<?php echo $module->id?>" style="overflow: hidden;position: relative;margin-bottom:9px ;">
                        <div style="height:<?php echo $options->item_image_height;?>px; position: relative;overflow: hidden;">
                            <div class="so_img" style="width:<?php echo $options->item_image_width; ?>px; display:<?php echo ($options->item_image_display)?"block":"none";?>">
        	       			     <?php if($options->item_image_linkable == 1){ ?>
									<a href="<?php echo $item['link'];?>" title="<?php echo $item['title'];?>" target="<?php echo $options->item_link_target;?>">									
										<img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php echo $item['title'];?>" alt="<?php echo $item['title']?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>
									</a>
								<?php } else { ?>	
									<img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php echo $item['title'];?>" alt="<?php echo $item['title']?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>
								<?php }?>	
        					</div>
                            <?php if($options->item_title_display == 1):?>
        	       			<div class="so_content" style="width:<?php echo $options->item_image_width - 10;?>px;overflow: hidden;left:0px;">
                                <div class="caption_title_theme7_<?php echo $module->id;?>">
                                    <h4 class="so_title so_title_theme7<?php echo $module->id;?>" style="text-align:center;display:<?php echo ($options->item_title_display)?"block":"none";?>" >
										<?php if($options->item_title_linkable==1) { ?>
										<a href='<?php echo $item['link'];?>' target="<?php echo $options->item_link_target;?>" title="<?php echo $item['title'];?>" style="color:<?php echo $options->item_title_color; ?> ;text-aglign:center;z-index:99999">
											<?php echo Ytools::truncate( $item['title'],$options->item_title_max_characs);?>
										</a>
										<?php  } else  { ?>
										<a style="color:<?php  echo $options->item_title_color; ?> ;text-aglign:center;z-index:99999">
											<?php echo Ytools::truncate( $item['title'],$options->item_title_max_characs);?>
										</a>
										<?php  } ?>
									</h4>
            	       			</div> 
        	       			</div>
                            <?php endif;?>
                        </div>
                    </div>
	       		</div>
                <div id="mystickytooltip<?php echo $module->id;?><?php echo $item['id'];?>" class="stickytooltip_theme7">    
                        <div class="tooltip_top_theme7">&nbsp;</div>
                        <div style="width: 210px ;">
                            <div class="tooltip_center_theme7" style="padding-left: 15px;">
                                <div id="sticky<?php echo $module->id;?><?php echo $item['id'];?>" class="height_tooltip" style="text-align:left;width: 180px ">
                                    <div class="tooltip_title" style="font-weight: bold;font-size: 13px; color:#4F4F4F;">
										<?php echo Ytools::truncate( $item['title'],$options->item_title_max_characs);?>
									</div>
                                    <div class="tooltip_desc" style="font-size: 11px; color:#4F4F4F  ;">
										<?php echo Ytools::truncate($item['desc'],$options->item_desc_max_characs);?>
									</div>
                                    <div class="tooltip_readmore" style="color: #135cae; text-align: right;">
										<a href="<?php echo $item['link']; ?>" target = "<?php echo $options->item_link_target;?>" title="<?php echo $item['title']; ?>" style="color: #1e1690 ;"><?php echo $options->item_readmore_text; ?></a></div>
                                </div>
                            </div>
                        </div>
                        <div class="tooltip_bottom_theme7" >&nbsp;</div>    
                </div>
        		<script type="text/javascript">
                    $jsmart(document).ready(function($){	
                        var tooltipH = $('#mystickytooltip<?php echo $module->id;?><?php echo $item['id'];?>').height();
        				$("#tooltip<?php echo $module->id;?><?php echo $item['id'];?>").YTC_SoTooltip({
        					targetElementSelector : "#tooltip<?php echo $module->id;?><?php echo $item['id'];?>", 
        					tooltipcontainer : "mystickytooltip<?php echo $module->id;?><?php echo $item['id'];?>",
                            tooltipWidth: -60,
                            tooltipHeight: - tooltipH
        				});
        			});
        		</script>  
	       </li> 
	       <?php endforeach;?>   
	     </ul>
	 </div>
 </div>
<!--End Module-->
<!--Start Footer Text-->
<?php if(!empty($options->posttext)): ?>
<br/>
<div style="text-align:left; width:<?php echo $width_module_article + 50; ?>px">
	<?php  echo $options->posttext;?>
</div>
<?php endif;?>
<!--End Footer Text-->
<?php } else { echo JText::_('Has no content to show!');}?>
