<?php
/**
 * @package Sj Article Slider
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;
?>
<?php
if(!empty($list)){
	@ob_start();
 	include JModuleHelper::getLayoutPath($module->module, 'styles');
	$stylesheet = @ob_get_contents();
	@ob_end_clean();
	$docs = JFactory::getDocument();
	$docs->addStyleDeclaration($stylesheet );
	$height_showbutton='';
    if($options->item_desc_display == 0 && $options->item_readmore_display == 0 && $options->item_title_display == 0 && $options->button_display == 1){
        $height_showbutton = 'height:'. ($options->item_image_height + 50) .'px';
    }
?>
<script type="text/javascript">
//<![CDATA[
$jsmart(document).ready(function($){
	    $("#sj_so_artilce_slider_<?php echo $module->id?><?php echo $uniqued;?>").Sj_So_Article_Slider({
	    	auto		: 	<?php echo $options->play?>,
	    	type		:   '<?php echo $options->theme?>',
	    	speed		: 	<?php echo $options->speed?>,
	    	visible		: 	<?php echo $options->num_element;?>,
	    	<?php if($options->play ==0):?>
	    		circular    :   false,
	    	<?php endif;?>
			start		:	<?php echo $options->start?>,
	    	scroll		:   <?php echo $options->scroll?>,
			btnPrev		: 	'#<?php echo $uniqued.'_pre_' ?><?php echo $module->id?>',
			btnNext		: 	'#<?php echo $uniqued.'_next_'?><?php echo $module->id?>',
			btnPause	: 	'#<?php echo $uniqued.'_pause_'?><?php echo $module->id?>',
			navigation	:   '#<?php echo $uniqued.'_navigation_'?><?php echo $module->id?>'
		});	   
		
	  });	
//]]>
</script>
<!--Intro Text-->
<?php if(!empty($options->pretext)): ?>
<div style="text-align:left; width:<?php echo $options->item_image_width +35 ; ?>px">
	<?php  echo $options->pretext;?>
</div>
<br/>
<?php endif;?>
<!--End Intro Text-->
<div class="yt_article_slider <?php echo $options->theme?>" style="width:<?php echo $options->item_image_width + 35?>px;padding:7px 0px 8px 0px ;background:#FFFFFF;">
    <div class="title_slider_theme" style="display:<?php echo ($options->slider_title_display)?"block":"none";?>;margin:0px 10px 10px 10px;"><?php echo $options->slider_title_text?></div>
	 <div class="so_slider_content" id="sj_so_artilce_slider_<?php echo $module->id?><?php echo $uniqued;?>" style="width:<?php echo $options->item_image_width + 22?>px ;margin:0 auto ;<?php echo $height_showbutton?>">
	     <ul>
	     	<?php foreach ($list as $item): ?>
				   <li style="width: <?php echo ($options->item_image_width + 16);?>px;padding:0px 3px 0px 3px;">
						<div class="so_item">
							<div class="so_img" style="width:<?php echo $options->item_image_width; ?>px; display:<?php echo ($options->item_image_display)?"block":"none";?>">
							<?php if($options->item_image_linkable == 1){ ?>
								<a href="<?php echo $item['link'];?>" title="<?php echo $item['title'];?>" target="<?php echo $options->item_link_target;?>">									
									<img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php echo $item['title'];?>" alt="<?php echo $item['title']?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>
								</a>
							<?php } else { ?>	
								<img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php echo $item['title'];?>" alt="<?php echo $item['title']?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>
							<?php }?>	
							</div>
							<div class="so_content" style="width:<?php echo $options->item_image_width + 10;?>px;">
							<h4 class="so_title" style="display:<?php echo ($options->item_title_display)?"block":"none";?>;">
							<?php if($options->item_title_linkable==1) {?>							
								<a href='<?php echo $item['link'];?>' target="<?php echo $options->item_link_target;?>" title="<?php echo $item['title'];?>" style="color:<?php echo $options->item_title_color;?> ;">
									<?php echo Ytools::truncate($item['title'],$options->item_title_max_characs);?>
								</a>
							<?php } else { ?>
								<a  style="color:<?php echo $options->item_title_color;?> ;">
									<?php echo Ytools::truncate($item['title'],$options->item_title_max_characs);?>
								</a>
							<?php } ?>
							</h4>
							<div class="so_content" style="color:<?php echo $options->item_desc_color; ?>;text-align:left;width:<?php echo $options->item_image_width;?>px;display:<?php echo ($options->item_desc_display)?"display":"none";?>;">
							   <?php echo Ytools::truncate($item['desc'],$options->item_desc_max_characs);?>
							</div>
							<div class="so_readmore" style="display:<?php echo ($options->item_readmore_display)?"block":"none";?>;">
								<a href="<?php echo $item['link'];?>" target="<?php echo $options->item_link_target;?>"><?php echo $options->item_readmore_text;?></a>
							</div>
							</div>
						</div>  
				   </li> 
				<?php endforeach;?>          
	     </ul>
         <?php if($options->button_display == 1):?>
		 <div class="so_navigation so_navigation_nav" id="<?php echo $uniqued.'_navigation_'?><?php echo $module->id?>" style="top:<?php echo $options->item_image_height + 25?>px ;width:50px; height:auto;display:block">			
			<div class="so_pre_theme17" id="<?php echo $uniqued.'_pre_' ?><?php echo $module->id?>"><a href="javascript:void(0)"><span><!--<?php echo JText::_("PRE")?>--></span></a></div>
			<div class="so_next_theme17" id="<?php echo $uniqued.'_next_'?><?php echo $module->id?>" style="top: 0px;"><a href="javascript:void(0)"><span><!--<?php echo JText::_("NEXT")?>--></span></a></div>
		 </div>
        <?php endif;?>
	 
	 </div>	
 </div>
<!--Start Footer Text-->
<?php if(!empty($options->posttext)): ?>
<br/>
<div style="text-align:left; width:<?php echo $options->item_image_width+35 ; ?>px">
	<?php  echo $options->posttext;?>
</div>
<?php endif;?>
<!--End Footer Text-->
<?php } else { echo JText::_('Has no content to show!');}?>

